# treepro

An advanced version of the Unix tree command

## Overview

**treepro** is a powerful command-line tool that recursively lists files and directories while respecting your `.gitignore` rules. It not only displays a structured view of your project but also lets you interactively select files to view their contents—all in your choice of text, JSON, or YAML formats.

## Features

- **Recursive Directory Listing:** Displays the full project structure, similar to the Unix `tree` command.
- **.gitignore Support:** Automatically ignores files and directories as specified in your `.gitignore`.
- **Multiple Output Formats:** Choose between plain text, JSON, or YAML outputs.
- **Interactive File Selection:** Select files interactively to view their content directly in the CLI.
- **Easy Integration:** Simple command-line interface with customizable options.

## Installation

### Via pip

Make sure you have Python 3 installed, then run:

```bash
pip install treepro
